"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addReact = void 0;
const tslib_1 = require("tslib");
const devkit_1 = require("@nx/devkit");
const eslint_1 = require("@nx/eslint");
function addReact(host, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        (0, devkit_1.ensurePackage)('@nx/react', devkit_1.NX_VERSION);
        const { applicationGenerator } = yield Promise.resolve().then(() => require('@nx/react'));
        return yield applicationGenerator(host, Object.assign(Object.assign({}, options), { name: options.name, style: 'css', skipFormat: options.skipFormat, directory: options.directory, unitTestRunner: options.unitTestRunner, e2eTestRunner: options.e2eTestRunner, linter: eslint_1.Linter.EsLint, pascalCaseFiles: true, classComponent: false, routing: true, globalCss: true, bundler: options.bundler }));
    });
}
exports.addReact = addReact;
//# sourceMappingURL=add-react.js.map