"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizeOptions = void 0;
const devkit_1 = require("@nx/devkit");
function normalizeOptions(host, options) {
    const appName = options.name;
    const appDirectory = options.directory
        ? `${(0, devkit_1.names)(options.directory).fileName}/${(0, devkit_1.names)(options.name).fileName}`
        : (0, devkit_1.names)(options.name).fileName;
    const appProjectName = appDirectory.replace(new RegExp('/', 'g'), '-');
    const { appsDir } = (0, devkit_1.getWorkspaceLayout)(host);
    const appProjectRoot = (0, devkit_1.normalizePath)(`${appsDir}/${appDirectory}`);
    return Object.assign(Object.assign({}, options), { appName, name: (0, devkit_1.names)(options.name).fileName, appProjectName,
        appProjectRoot, bundler: 'webpack' });
}
exports.normalizeOptions = normalizeOptions;
//# sourceMappingURL=normalize-options.js.map