"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateWorkspace = void 0;
const devkit_1 = require("@nx/devkit");
function updateWorkspace(host, options) {
    const project = (0, devkit_1.readProjectConfiguration)(host, options.appProjectName);
    project.targets.build.options.assets = [
        ...project.targets.build.options.assets.filter(
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        (asset) => !asset.toString().includes('src/favicon.ico')),
        options.appProjectRoot + '/src/manifest.json',
        {
            glob: '**/*.svg',
            input: 'node_modules/ionicons/dist/ionicons/svg',
            output: './svg',
        },
    ];
    project.targets.build.options.styles = [
        ...project.targets.build.options.styles,
        {
            input: (0, devkit_1.normalizePath)(`${options.appProjectRoot}/src/theme/variables.css`),
        },
    ];
    (0, devkit_1.updateProjectConfiguration)(host, options.appProjectName, project);
}
exports.updateWorkspace = updateWorkspace;
//# sourceMappingURL=update-workspace.js.map